
#### 安装

官方帮助：<https://www.mock-server.com/>

```yaml

version: "3"
services:
  mock-server:
    image: mockserver/mockserver:mockserver-5.15.0
    container_name: mockserver
    restart: always
    privileged: true
    ports:
      - "1080:1080"
    environment:
      - TZ=Asia/Shanghai
      - MOCKSERVER_INITIALIZATION_JSON_PATH=/config/expectations.json     #  系统启动时从配置文件加载期望
      - MOCKSERVER_PERSISTED_EXPECTATIONS_PATH=/config/expectations.json  #  持久化期望到配置文件
      - MOCKSERVER_PERSIST_EXPECTATIONS=true                              #  开启期望配置持久化，默认情况是存放在内存的
    volumes:  
      - ./config:/config      
  mock-dify:
    image: harbor.iovhm.com/public/mock-dify:1.0.0      
    container_name: mock-dify
    restart: always
    privileged: true
    ports:
      - "8080:8080"


```
#### 打开dashboard查看工作情况

host:port/mockserver/dashboard

#### 创建一个期望

```shell

curl --request PUT \
  --url https://smart-ops-mock.saas.vppark.cn/mockserver/expectation \
  --data '{
    "id":"/hello",
    "httpRequest": {
        "method": "GET",
        "path": "/hello"
    },
    "httpResponse": {
        "headers": {
            "Content-Type": [
                "application/json"
            ]
        },
        "statusCode": 200,
        "body": {
            "code": 200,
            "message": "ok",
            "data": {
                "list": {
                    "a": "b",
                    "c": "d"
                }
            }
        }
    }
}'

```
#### 触发一个期望

```shell

curl --request GET \
  --url https://smart-ops-mock.saas.vppark.cn/hello 

```

#### 删除一个期望

```shell

curl --request PUT \
  --url https://smart-ops-mock.saas.vppark.cn/mockserver/clear \
  --data '{
    "path": "/hello"
}'

```

#### 创建一个期望，并转发到其他服务

```shell

curl --request PUT \
  --url https://smart-ops-mock.saas.vppark.cn/mockserver/expectation \
  --data '{
    "id": "/baidu",
    "httpRequest": {
        "method": "POST",
        "path": "/baidu"
    },
    "httpOverrideForwardedRequest": {
        "httpRequest": {
            "method": "GET",
            "path": "/",
            "headers": {
                "Host": [
                    "www.baidu.com"
                ]
            },
            "secure": true
        }
    }
}}'

```


#### 已经增加的期望列表

```shell

curl --request PUT \
  --url 'https://smart-ops-mock.saas.vppark.cn/mockserver/retrieve?type=active_expectations' 

```

#### 系统状态

```shell

curl --request PUT \
  --url https://smart-ops-mock.saas.vppark.cn/mockserver/status 

```

#### 重置一切

**既整个系统添加的内容全部没有了**


```shell

curl --request PUT \
  --url https://smart-ops-mock.saas.vppark.cn/mockserver/reset 

```
