// 直接转发，请求参数不支持动态替换
var request_static = {
    "id": "/api/visitor/list",
    "httpRequest": {
        "method": "GET",
        "path": "/api/visitor/list"
    },
    "httpOverrideForwardedRequest": {
        "requestOverride": {
            "method": "POST",
            "path": "/dify/v1/chat-messages",
            "headers": {
                "Host": [
                    "mock-dify:8080"
                ]
            },
            "secure": true,
            "body": {
                "query": "数据结构为{\"personIds\": [\"d7228950bf29490484bc845dff756b95\"]}，在原数据上增加开始时间和结束时间，将时间设置为明天,只输出纯数据内容，不添加任何解释、说明、格式标记、代码块或多余符号",
            }
        }
    }
}


// 模板转发，请求参数动态替换,但是template写法很恶心，可以使用下面的方法进行转换
// 模板变量参考：https://www.mock-server.com/mock_server/response_templates.html#velocity_templates
// 模板变量参考：https://velocity.apache.org/tools/3.1/tools-summary.html#JsonTool
var request_dynamic = {
    "id": "/api/visitor/list2",
    "httpRequest": {
        "method": "GET",
        "path": "/api/visitor/list2"
    },
    "httpForwardTemplate": {
        "templateType": "VELOCITY",
        "template": "#set($jsonBody=$json.parse($!request.body))\n{\"method\":\"POST\",\"path\":\"/v1/chat-messages\",\"secure\":true,\"headers\":{\"Host\":[\"api-ai-agent.vppark.cn\"],\"Authorization\":[\"Bearer app-rWhiquJ6eMwsdCUQkaVJf9Dx\"]},\"body\":{\"inputs\":{},\"query\":\"数据结构为{\\\"personIds\\\": [\\\"d7228950bf29490484bc845dff756b95\\\"]}，在原数据上增加开始时间和结束时间,当前时间为$!now_iso_8601,将时间设置为明天,只输出纯数据内容，不添加任何解释、说明、格式标记、代码块或多余符号\",\"response_mode\":\"blocking\",\"user\":\"abc-123\",\"username\":\"abc-123\",\"ext_replace\": \"$!request.body\"}}"
    }
}

// 模板JSON写法
var dynamic_template = {
    "method": "POST",
    "path": "/dify/v1/chat-messages",
    "headers": {
        "Host": [
            "mock-dify:8080"
        ],
    },
    // "secure": true, // https访问下游
    "body": {
        "query": "数据结构为{\"personId\": \"$!jsonBody.personId\"}，在原数据结构的上增加开始时间设置为明天，和结束时间后天,当前时间为$!now_iso_8601,如果原数据结构上的personId字段为空,则生成一个uuid并为赋值到personId字段",
    }
}

// 转换为字符串
let formattedJson = JSON.stringify(dynamic_template);
formattedJson = formattedJson.replace(/\\/g, '\\\\')
formattedJson = formattedJson.replace(/"/g, '\\"')

console.log(formattedJson)